Google Web Toolkit
Search Google Code:

# Class TimeoutException

public final class TimeoutException
extends RuntimeException
This exception is thrown when a GWTTestCase-derived class runs a test in asynchronous mode and fails to complete within a specified timeout period.

## Constructors

TimeoutException() |
TimeoutException(int) | Constructs a timeout exception for a given number of milliseconds.
TimeoutException(String) | Constructs a timeout exception with the specified detail message.
TimeoutException(String, Throwable) | Constructs a timeout exception with the specified detail message and cause.
TimeoutException(Throwable) | Constructs a timeout exception with the specified cause.

## See Also

GWTTestCase.delayTestFinish(int)

## Constructor Detail

### TimeoutException

public TimeoutException()

### TimeoutException

public TimeoutException(int timeoutMillis)
Constructs a timeout exception for a given number of milliseconds.

#### Parameters

timeoutMillis
  the number of milliseconds that elapsed which caused this exception to be thrown

### TimeoutException

public TimeoutException(String message)
Constructs a timeout exception with the specified detail message.

#### Parameters

message
  the detail message

### TimeoutException

public TimeoutException(String message, Throwable cause)
Constructs a timeout exception with the specified detail message and cause.

#### Parameters

message
  the detail message
cause
  the exception that caused this exception

### TimeoutException

public TimeoutException(Throwable cause)
Constructs a timeout exception with the specified cause.

#### Parameters

cause
  the exception that caused this exception